Skip to content

User App


Endpoints

GET       /user_apps
GET       /user_apps/:id
POST      /user_apps
PUT       /user_apps/:id
DELETE    /user_apps/:id

A user app is a custom application deployed within the Everysk platform.

Not bound to a workspace

User apps are scoped to the account, not to a workspace. Every workspace in the account sees the same user apps.

The user app object

What a user app object looks like?

{
  "id": "uapp_Kj3mNpQxLo7TrW2sJfGvBe4cD",
  "name": "My First App",
  "description": "This is my first user app",
  "tags": ["first", "app", "20210622"],
  "data": {},
  "env_vars": {},
  "created": 1625598288,
  "updated": 1625598288
}
Property Description
id string Unique identifier (UID) for the user app.
created timestamp Time at which the object was created. Measured in seconds since the Unix epoch.
updated timestamp Time at which the object was updated. Measured in seconds since the Unix epoch.
name string The name of the user app.
description string An arbitrary string attached to the user app. Often useful for finding detailed information about the app or for filtering a search based on the present hashtags.
tags array Sequence of hashtags used to find the related user app. The more hashtags that are used, the more elements that are filtered out from the search. Labels, dates and any other hashtag can be used.
data object The application data and configuration.
env_vars object Environment variables available to the user app at runtime.
version string Indicates the user app's current version.

List all user apps

Returns a list of user apps you've previously created. The user apps are returned in sorted order, with the most recent appearing first.

To list all user apps, run the following:

curl https://api.everysk.com/v2/user_apps?query=#20210622 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -G

The above call returns the following JSON object:

{
  "user_apps": [
    {
      "id": "uapp_Kj3mNpQxLo7TrW2sJfGvBe4cD",
      "name": "My First App",
      "description": "This is my first user app",
      "tags": ["first", "app", "20210622"],
      "created": 1625598288,
      "updated": 1625598288
    },
    ...
  ],
  "next_page_token": null
}

HTTP Request

GET /user_apps

HTTP Parameters

Parameter Description
query string optional, default is null Request a list of user apps filtering it by name or tag. When using a tag to perform a query, each term must include a hashtag prefix. (e.g: query="#april #sample") See Filter with query.
page_size integer optional, default is 10 Set the number of objects that will be listed per page.
page_token integer optional, default is null The token defines which page will be returned to the user. For further information, please check out our pagination guide.

Retrieve a user app

Retrieves the details of an existing user app by supplying its id.

To retrieve a user app, run the following:

curl https://api.everysk.com/v2/user_apps/uapp_Kj3mNpQxLo7TrW2sJfGvBe4cD \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -G

The above call returns the following JSON object:

{
  "user_app": {
    "id": "uapp_Kj3mNpQxLo7TrW2sJfGvBe4cD",
    "name": "My First App",
    "description": "This is my first user app",
    "tags": ["first", "app", "20210622"],
    "data": {},
    "env_vars": {},
    "created": 1625598288,
    "updated": 1625598288
  }
}

HTTP Request

GET /user_apps/:id

HTTP Parameters

Parameter Description
id string REQUIRED A unique identifier (UID) for a user app. A user app's id will always look like this: uapp_Kj3mNpQx....